import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { Card } from '@alicloudfe/components';
import cls from 'classnames';

var BDesignCard = function BDesignCard(props) {
  var className = props.className,
      radius = props.radius,
      level = props.level,
      rest = _objectWithoutProperties(props, ["className", "radius", "level"]);

  var levelCls = '';
  var radiusCls = '';

  if (radius) {
    radiusCls = 'next-card-radius-' + radius;
  }

  if (level) {
    levelCls = 'next-card-level-' + level;
  }

  return /*#__PURE__*/React.createElement(Card, _extends({
    className: cls(className, radiusCls, levelCls)
  }, rest));
};

BDesignCard.Actions = Card.Actions;
BDesignCard.Content = Card.Content;
BDesignCard.Divider = Card.Divider;
BDesignCard.DropDownActions = Card.DropDownActions;
BDesignCard.Header = Card.Header;
BDesignCard.Media = Card.Media; // TODO：后续确认下
// BDesignCard.CollapsableHead = Card.CollapsableHead;
// BDesignCard.CollapsableTail = Card.CollapsableTail;

export default BDesignCard;